# ByteConversionSinkBase class

This class provides a base-class for converters that need to accept byte inputs.

Inheritance
  - Object
  - ChunkedConversionSink<List<int>>
  - ByteConversionSink
  - ByteConversionSinkBase

## Constructors

ByteConversionSinkBase()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

add(List<int> chunk) → void
  Adds chunked data to this sink. [...]
  override
addSlice(List<int> chunk, int start, int end, bool isLast) → void
  Adds the next `chunk` to `this`. [...]
  override
close() → void
  Closes the sink. [...]
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited